using HisInterfaceModels;

namespace Cmdjy.Dal.Wappers
{
    public class HisPrescriptyInfoWapper:Dal.Tables.HisPrescriptionInfo
    {
        public HisPrescriptyInfoWapper() { }
        public HisPrescriptyInfoWapper(HisPrescriptionInfo s) {
            if(s == null) return;
            foreach(var p in s.GetType().GetProperties()) {
                var tp = this.GetType().GetProperty(p.Name);
                if(tp != null && tp.CanWrite && p.CanRead) {
                    tp.SetValue(this,p.GetValue(s));
                }
            }
        }
    }
}